function p(t) {
  for (var e = this, r = n(e, t), o = [e]; e !== r; )
    e = e.parent, o.push(e);
  for (var s = o.length; t !== r; )
    o.splice(s, 0, t), t = t.parent;
  return o;
}
function n(t, e) {
  if (t === e) return t;
  var r = t.ancestors(), o = e.ancestors(), s = null;
  for (t = r.pop(), e = o.pop(); t === e; )
    s = t, t = r.pop(), e = o.pop();
  return s;
}
export {
  p as default
};
